\version "2.8.0"
#(ly:set-option 'point-and-click #f)
% expanding: header.ly
\header {
	title = "Boston"
	composer="William Billings"
%	arranger=\markup{Tune and first verse from \italic{The Singing Master's Assistant}; other verses from \italic{Suffolk Harmony} printed with the tune \italic{Shiloh}}
	poet="William Billings"
        copyright = "© Serpent Publications 2016 www.SerpentPublications.org"
	source = "The Canadian Pub Caroller, and IMSLP facsimiles"
	date = "Transcribed on December 20, 2016"
}

% Local Variables:
% coding: utf-8
% End:

  \header {instrument = "Altos"}
\header {	   piece = \markup{ 1  \circle 2 3 4 }}
% expanding: accidentals.lyi
%af = {	     \set suggestAccidentals = ##t }
an = {	     \set suggestAccidentals = ##f }
ss=\once \set suggestAccidentals = ##t
ficta = 	     \set suggestAccidentals = ##t 
unficta = \unset suggestAccidentals
% expanding: slower.ly
looksSlower =
#(define-music-function (parser location music) (ly:music?)
  (let ((new-music (ly:music-deep-copy music)))
   (shift-duration-log new-music -1 0)
   new-music))
% expanding: bars.lyi
singlebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|"}
doublebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "||"}
endbar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|."}
seerepeat = {	 \once \override Staff.BarLine #'transparent = ##f}

% expanding: lyrics.lyi
ijLyrics = {
  \override Lyrics.LyricText #'font-shape = #'italic
}

normalLyrics = {
  \revert Lyrics.LyricText #'font-shape
}
% expanding: voicedefault.ly
\version "2.15.39"
voicedefault =  {
%\set Staff.autoBeaming = ##f
\accidentalStyle "forget"
\override NoteHead    #'style = #'baroque
\set Staff.midiInstrument = "oboe"
%\override Slur #'transparent = ##t 
%\set Score.defaultBarType = "empty"
%\override Staff.BarLine #'transparent = ##t
%\override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
\unset melismaBusyProperties
%\set Score.melismaBusyProperties = #'()
%\override Staff.TimeSignature   #'style = #'single-digit
%\override Staff.TimeSignature   #'style = #'neo-mensural
\key bes \major \time 4/4
\compressFullBarRests

}
% Local Variables:
% coding: utf-8
% End:

% expanding: altusnotes.ly
\version "2.10.20"
altusnotes =   { \relative c' {
  \partial 2
  d2 d4 d d d d es f f f f g g f2.
  f4 f f f g8(f)es4 es es d8(es)f4 f g f f1
  \seerepeat \repeat volta 2 {
    r2 bes2 a4 a g g g g f f f f f f f2 c f4 es d d8(es)f4 f f f f g g f f1
    \seerepeat }    
}
}


altuswords = \lyricmode {

}
% Local Variables:
% coding: utf-8
% End:

% expanding: words.ly
verseone = \lyricmode {
    \set stanza = "1. "
  Me -- thinks I see a heav'n -- ly host of an -- gels on the wing
  Me -- thinks I hear their cheer -- ful notes, so mer -- ri -- ly they sing.
  Let all your fears be ban -- ish'd hence, glad ti -- dings we pro -- claim,
  For there's a Sav -- iour born to -- day, and Je -- sus is his name.
}

versetwo = \lyricmode {
  \set stanza = "2. "
  \override LyricText  #'font-shape = #'italic
  Lay down your crooks and quit your flocks to Beth -- le -- hem re -- pair;
  And let your wan -- d'ring steps be squar'd by yon -- der shin -- ing star.
  Seek not in courts or pal -- a -- ces, nor roy -- al cur -- tains draw,
  But search the sta -- ble see your God ex -- ten -- ded on the straw.
}
versethree = \lyricmode {
    \set stanza = "3. "
  Then learn from hence, ye rur -- al swains, the meek -- ness of your God
  who left the bound -- less realms of joy to ran -- som you with blood.
  The mas -- ter of the inn re -- fused a more com -- mod -- ious place;
  Un -- gen -- 'rous soul of sav -- age mould, and des -- ti -- tute of grace.
}
versefour = \lyricmode {
   \set stanza = "4. "
  \override LyricText  #'font-shape = #'italic
  Ex -- ult ye ox -- en, low for joy ye ten -- ants of the stall,
  Pay your o -- bei -- sance on your knees, u -- nan -- i -- mous -- ly fall.
  The roy -- al guest you en -- ter -- tain is not of com -- mon birth,
  But sec -- ond to the Great I Am The God of Heav'n and earth.
  
}
versefive = \lyricmode {
    \set stanza = "5. "
  Then sud -- den -- ly a heav'n -- ly host
  A -- round the shep -- herds throng
  Ex -- ul -- ting in the three -- fold God
  And thus a -- dress their song.
  To God the Fa -- ther, Christ the Son, and Ho -- ly Ghost a -- dor'd
  The First and Last, the Last and First e -- ter -- nal praise af -- ford.
}
\score{
	\new Staff <<
	\new Voice="v1" {
\transpose c' c' {
  \voicedefault
%		\set Staff.instrumentName=\incipitcantus
		\altusnotes }
}
%		\looksSlower{\altusnotes }}
	  \new Lyrics \lyricsto "v1"	       {  \verseone } 
	  \new Lyrics \lyricsto "v1"	       {  \versetwo }
	  \new Lyrics \lyricsto "v1"	       {  \versethree } 
	  \new Lyrics \lyricsto "v1"	       {  \versefour }
	  \new Lyrics \lyricsto "v1"	       {  \versefive } 

	>>
\layout{ 
	\context {\Lyrics 
		\override VerticalAxisGroup #'minimum-Y-extent = #'(-1.0 . 0.0) 
		%\override LyricText #'font-size = #1.2
		\override LyricHyphen #'minimum-distance = #0.51
	}
	\context {\Score 
		\override BarNumber #'padding = #2 
	}
	\context {\Voice 
		melismaBusyProperties = #'() 
		autoBeaming = ##f
	}
	%\context { \RemoveEmptyStaffContext }
	\context {\Staff 
		\override VerticalAxisGroup #'minimum-Y-extent = #'(-4 . 5.5)
		\consists Ambitus_engraver 
		\override LigatureBracket #'padding = #1

		  \consists Custos_engraver
		  \override Custos #'style = #'mensural
	}
	line-width=18.0 \cm
	indent=3.7\cm
}

\midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 120 4)
      }
    }
}


% Local Variables:
% coding: utf-8
% End:

